Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class ScriptLib

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.ScriptLib

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class ScriptLib

extends org.eclipse.birt.report.model.core.Structure

Represents a jar file used for script handle event. Each jar file has the following properties:

name
  name of jar file.

Field Summary
`protected java.lang.String` | `name` value of jar file's name.
`static java.lang.String` | `SCRIPTLIB_NAME_MEMBER` Name of jar file.
`static java.lang.String` | `STRUCTURE_NAME` Name of the structure.

Constructor Summary
`ScriptLib()`

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getName()` Returns jar file name value.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setName(java.lang.String name)` Sets the jar file name value.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of the structure.

  See Also:
    Constant Field Values

### SCRIPTLIB_NAME_MEMBER

    public static final java.lang.String SCRIPTLIB_NAME_MEMBER

  Name of jar file.

  See Also:
    Constant Field Values

### name

    protected java.lang.String name

  value of jar file's name.

Constructor Detail

### ScriptLib

    public ScriptLib()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### setName

    public void setName(java.lang.String name)

  Sets the jar file name value.

  Parameters:
    `name` - the jar file name value to set
  Throws:
    `SemanticException`

### getName

    public java.lang.String getName()

  Returns jar file name value.

  Returns:
    the jar file name value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.